Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.Designer.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.Designer.cs	(revision 60)
@@ -0,0 +1,242 @@
+﻿namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmEntryReqSelOrderer
+    {
+        /// <summary>
+        /// Required designer variable.
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// Clean up any resources being used.
+        /// </summary>
+        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows Form Designer generated code
+
+        /// <summary>
+        /// Required method for Designer support - do not modify
+        /// the contents of this method with the code editor.
+        /// </summary>
+        private void InitializeComponent()
+        {
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            this.label4 = new System.Windows.Forms.Label();
+            this.cbReqMonth = new System.Windows.Forms.ComboBox();
+            this.dgv1 = new System.Windows.Forms.DataGridView();
+            this.btnSelRequest = new System.Windows.Forms.Button();
+            this.btnEnd = new System.Windows.Forms.Button();
+            this.col1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col7 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            ((System.ComponentModel.ISupportInitialize)(this.dgv1)).BeginInit();
+            this.SuspendLayout();
+            // 
+            // label4
+            // 
+            this.label4.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.label4.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label4.CausesValidation = false;
+            this.label4.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label4.Location = new System.Drawing.Point(12, 9);
+            this.label4.Name = "label4";
+            this.label4.Size = new System.Drawing.Size(100, 23);
+            this.label4.TabIndex = 22;
+            this.label4.Text = "請求月";
+            this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // cbReqMonth
+            // 
+            this.cbReqMonth.BackColor = System.Drawing.Color.White;
+            this.cbReqMonth.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cbReqMonth.FormattingEnabled = true;
+            this.cbReqMonth.Location = new System.Drawing.Point(118, 9);
+            this.cbReqMonth.Name = "cbReqMonth";
+            this.cbReqMonth.Size = new System.Drawing.Size(109, 23);
+            this.cbReqMonth.TabIndex = 23;
+            this.cbReqMonth.SelectedIndexChanged += new System.EventHandler(this.cbReqMonth_SelectedIndexChanged);
+            // 
+            // dgv1
+            // 
+            this.dgv1.AllowUserToAddRows = false;
+            this.dgv1.AllowUserToDeleteRows = false;
+            this.dgv1.AllowUserToResizeColumns = false;
+            this.dgv1.AllowUserToResizeRows = false;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgv1.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
+            this.dgv1.ColumnHeadersHeight = 28;
+            this.dgv1.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+            this.dgv1.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.col1,
+            this.col2,
+            this.col3,
+            this.col4,
+            this.col5,
+            this.col6,
+            this.col7});
+            this.dgv1.Location = new System.Drawing.Point(12, 42);
+            this.dgv1.MultiSelect = false;
+            this.dgv1.Name = "dgv1";
+            this.dgv1.RowHeadersVisible = false;
+            this.dgv1.RowTemplate.Height = 21;
+            this.dgv1.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
+            this.dgv1.Size = new System.Drawing.Size(661, 272);
+            this.dgv1.TabIndex = 24;
+            this.dgv1.SelectionChanged += new System.EventHandler(this.dgv1_SelectionChanged);
+            // 
+            // btnSelRequest
+            // 
+            this.btnSelRequest.BackColor = System.Drawing.Color.Blue;
+            this.btnSelRequest.Cursor = System.Windows.Forms.Cursors.Default;
+            this.btnSelRequest.Enabled = false;
+            this.btnSelRequest.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnSelRequest.ForeColor = System.Drawing.Color.White;
+            this.btnSelRequest.Location = new System.Drawing.Point(427, 322);
+            this.btnSelRequest.Name = "btnSelRequest";
+            this.btnSelRequest.Size = new System.Drawing.Size(120, 30);
+            this.btnSelRequest.TabIndex = 25;
+            this.btnSelRequest.Text = "請求選択";
+            this.btnSelRequest.UseVisualStyleBackColor = false;
+            this.btnSelRequest.Click += new System.EventHandler(this.btnSelRequest_Click);
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.BackColor = System.Drawing.Color.Red;
+            this.btnEnd.Cursor = System.Windows.Forms.Cursors.Default;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.Black;
+            this.btnEnd.Location = new System.Drawing.Point(553, 322);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 26;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // col1
+            // 
+            this.col1.HeaderText = "請求先";
+            this.col1.Name = "col1";
+            this.col1.ReadOnly = true;
+            this.col1.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col1.Width = 320;
+            // 
+            // col2
+            // 
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col2.DefaultCellStyle = dataGridViewCellStyle2;
+            this.col2.HeaderText = "請求済";
+            this.col2.Name = "col2";
+            this.col2.ReadOnly = true;
+            this.col2.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col2.Width = 80;
+            // 
+            // col3
+            // 
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col3.DefaultCellStyle = dataGridViewCellStyle3;
+            this.col3.HeaderText = "未請求";
+            this.col3.Name = "col3";
+            this.col3.ReadOnly = true;
+            this.col3.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col3.Width = 80;
+            // 
+            // col4
+            // 
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col4.DefaultCellStyle = dataGridViewCellStyle4;
+            this.col4.HeaderText = "総額";
+            this.col4.Name = "col4";
+            this.col4.ReadOnly = true;
+            this.col4.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col4.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col4.Width = 160;
+            // 
+            // col5
+            // 
+            this.col5.HeaderText = "OrderersDivision";
+            this.col5.Name = "col5";
+            this.col5.ReadOnly = true;
+            this.col5.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col5.Visible = false;
+            // 
+            // col6
+            // 
+            this.col6.HeaderText = "OrderersCode";
+            this.col6.Name = "col6";
+            this.col6.ReadOnly = true;
+            this.col6.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col6.Visible = false;
+            // 
+            // col7
+            // 
+            this.col7.HeaderText = "OrderersName";
+            this.col7.Name = "col7";
+            this.col7.ReadOnly = true;
+            this.col7.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col7.Visible = false;
+            // 
+            // FrmEntryReqSelOrderer
+            // 
+            this.AutoScaleDimensions = new System.Drawing.SizeF(9F, 15F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+            this.BackColor = System.Drawing.Color.Black;
+            this.ClientSize = new System.Drawing.Size(684, 362);
+            this.Controls.Add(this.btnEnd);
+            this.Controls.Add(this.btnSelRequest);
+            this.Controls.Add(this.dgv1);
+            this.Controls.Add(this.cbReqMonth);
+            this.Controls.Add(this.label4);
+            this.Cursor = System.Windows.Forms.Cursors.Default;
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
+            this.Margin = new System.Windows.Forms.Padding(4);
+            this.Name = "FrmEntryReqSelOrderer";
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.Text = "請求書作成";
+            this.Load += new System.EventHandler(this.FrmEntryReqSelOrderer_Load);
+            ((System.ComponentModel.ISupportInitialize)(this.dgv1)).EndInit();
+            this.ResumeLayout(false);
+
+        }
+
+        #endregion
+
+        private System.Windows.Forms.Label label4;
+        private System.Windows.Forms.ComboBox cbReqMonth;
+        private System.Windows.Forms.DataGridView dgv1;
+        private System.Windows.Forms.Button btnSelRequest;
+        private System.Windows.Forms.Button btnEnd;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col2;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col3;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col4;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col5;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col6;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col7;
+    }
+}
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.cs	(revision 60)
@@ -0,0 +1,512 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+
+using ProcessManagement.Common;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.SubForms;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmEntryReqSelOrderer : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 変数
+
+        #region ClsOrdererReqDataクラス定義
+        /// <summary>
+        /// 発注者請求
+        /// </summary>
+        private class ClsOrdererReqData
+        {
+            #region ClsOrdererReqData変数
+            private int m_nOrderersDivision = 0;        // 発注者区分
+            private int m_nOrderersCode = 0;            // 発注者コード
+            private string m_strOrderersName = "";      // 発注者名
+
+            private int m_nDoneCount = 0;               // 請求済数
+            private int m_nUndoneCount = 0;             // 未請求数
+
+            private int m_nTotalAmount = 0;             // 総額
+
+            private List<RequestHead> m_lstReqHead = new List<RequestHead>();       // 請求ヘッダリスト
+
+            #endregion
+
+            #region ClsOrdererReqDataプロパティ
+            public int OrderersDivision
+            {
+                get { return m_nOrderersDivision; }
+            }
+            public int OrderersCode
+            {
+                get { return m_nOrderersCode; }
+            }
+            public string OrderersName
+            {
+                get { return m_strOrderersName; }
+            }
+            public int DoneCount
+            {
+                get { return m_nDoneCount; }
+            }
+            public int UndoneCount
+            {
+                get { return m_nUndoneCount; }
+            }
+            public int TotalAmount
+            {
+                get { return m_nTotalAmount; }
+            }
+
+            public List<RequestHead> ListReqHead
+            {
+                get { return m_lstReqHead; }
+            }
+            #endregion
+
+            #region ClsOrdererReqDataコンストラクタ
+            /// <summary>
+            /// コンストラクタ
+            /// </summary>
+            /// <param name="nOrderersDivision"></param>
+            /// <param name="nOrderersCode"></param>
+            /// <param name="strOrderersName"></param>
+            public ClsOrdererReqData(int nOrderersDivision, int nOrderersCode, string strOrderersName)
+            {
+                m_nOrderersDivision = nOrderersDivision;
+                m_nOrderersCode = nOrderersCode;
+                m_strOrderersName = strOrderersName.Trim();
+            }
+            #endregion
+
+            #region ClsOrdererReqData キー文字列の取得
+            public string GetKeyString()
+            {
+                return GetKeyString(m_nOrderersDivision, m_nOrderersCode, m_strOrderersName);
+            }
+            #endregion
+
+            #region ClsOrdererReqData キー文字列の取得(static)
+            public static string GetKeyString(int nOrderersDivision, int nOrderersCode, string strOrderersName)
+            {
+                string ret = "";
+
+                ret = nOrderersDivision.ToString("D5");
+                ret += "_";
+                ret += nOrderersCode.ToString("D5");
+                ret += "_";
+                ret += strOrderersName;
+
+                return ret;
+            }
+            #endregion
+
+            #region ClsOrdererReqData 請求ヘッダの追加
+            public void AddReqHead(RequestHead ReqHead)
+            {
+                if (ReqHead.InvoiceNo > 0)
+                {
+                    m_nDoneCount++;
+                }
+                else
+                {
+                    m_nUndoneCount++;
+                }
+
+                m_nTotalAmount += ReqHead.RequestTotalAmount;
+
+                m_lstReqHead.Add(ReqHead);
+                return;
+            }
+            #endregion
+
+        }
+        #endregion
+
+        // 発注者請求データハッシュテーブル
+        Dictionary<int, Dictionary<string, ClsOrdererReqData>> m_dicOrdererReqData = new Dictionary<int, Dictionary<string, ClsOrdererReqData>>();
+
+        #endregion
+
+        #region コンストラクタ
+        public FrmEntryReqSelOrderer()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームのロード
+        /// <summary>
+        /// フォームのロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmEntryReqSelOrderer_Load(object sender, EventArgs e)
+        {
+            // データグリッドビュの設定
+            dgv1.EnableHeadersVisualStyles = false;
+            dgv1.AutoGenerateColumns = false;
+            dgv1.ColumnHeadersHeight = 28;
+            dgv1.ColumnHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;
+            dgv1.AllowUserToAddRows = false;
+            dgv1.RowTemplate.Height = 24;
+            dgv1.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dgv1.ColumnHeadersDefaultCellStyle.BackColor = Color.Aquamarine;
+
+            List<int> lstReqMonth = new List<int>();
+
+            // 請求月の取得
+            GetRequestMonth(ref lstReqMonth);
+
+            List<KeyValuePair<int, string>> lstKeyVal = new List<KeyValuePair<int, string>>();
+
+            foreach (int nMonth in lstReqMonth)
+            {
+                int yyyy = CommonMotions.cnvTruncate((double)(nMonth / 100));
+                int mm = nMonth % 100;
+                string strReqMonth = string.Format("{0}/{1}", yyyy, mm.ToString("D2"));
+
+                KeyValuePair<int, string> key = new KeyValuePair<int, string>(nMonth, strReqMonth);
+
+                lstKeyVal.Add(key);
+            }
+
+            int nReqMonth = 0;
+
+            cbReqMonth.ValueMember = "Key";
+            cbReqMonth.DisplayMember = "Value";
+
+            // コンボボックス初期表示
+            ComboBoxAction.InitDataSetCombBox(cbReqMonth, lstKeyVal, false);
+
+            if (cbReqMonth.Items.Count > 0)
+            {
+                cbReqMonth.SelectedValue = int.Parse(DateTime.Now.ToString("yyyyMM"));
+                nReqMonth = int.Parse(cbReqMonth.SelectedValue.ToString());
+
+                // 請求データの取得
+                GetRequestData( nReqMonth );
+            }
+
+            // 請求データの表示
+            DispOrdererReqData(nReqMonth);
+
+        }
+        #endregion
+
+        #region [請求選択]ボタン押下
+        /// <summary>
+        /// [請求選択]ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnSelRequest_Click(object sender, EventArgs e)
+        {
+
+            int nOrderersDivision = 0;
+            int nOrderersCode = 0;
+            string strOrderersName = "";
+
+            foreach (DataGridViewRow r in dgv1.SelectedRows)
+            {
+                if (r.Cells[4].Value != null)
+                {
+                    nOrderersDivision = int.Parse(r.Cells[4].Value.ToString());
+                    nOrderersCode = int.Parse(r.Cells[5].Value.ToString());
+                    strOrderersName = r.Cells[6].Value.ToString();
+
+                    break;
+                }
+            }
+
+            // ダミー行の選択の場合はスルー
+            if (nOrderersDivision == 0)
+            {
+                return;
+            }
+
+            FrmEntryReqSelRequest frmEntry = new FrmEntryReqSelRequest();
+
+            frmEntry.EditFlg = true;
+            frmEntry.RequestMonth = int.Parse(cbReqMonth.SelectedValue.ToString());
+            frmEntry.OrderersDivision = nOrderersDivision;
+            frmEntry.OrderersCode = nOrderersCode;
+            frmEntry.OrderersName = strOrderersName;
+
+            Visible = false;
+
+            DialogResult ret = frmEntry.ShowDialog(this);
+
+            int nInvoiceNo = frmEntry.InvoiceNo;
+
+            frmEntry.Dispose();
+
+            if ( ret == DialogResult.Cancel)
+            {
+                Visible = true;
+                return;
+            }
+
+            FrmRequestPrint frmPrint = new FrmRequestPrint();
+
+            frmPrint.InvoiceNo = nInvoiceNo;
+
+            frmPrint.ShowDialog(this);
+            
+        }
+        #endregion
+
+        #region [終了]ボタン押下
+        /// <summary>
+        /// [終了]ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            ClsExcute.BackProcess();
+
+            Close();
+        }
+        #endregion
+
+        #region 請求月コンボの変更
+        /// <summary>
+        /// 請求月コンボの変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cbReqMonth_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            // 請求月コンボから請求月を取得
+            int nReqMonth = int.Parse(cbReqMonth.SelectedValue.ToString());
+
+            // 請求データの取得
+            GetRequestData(nReqMonth);
+
+            // データグリッドビュの行削除
+            dgv1.Rows.Clear();
+
+            // 請求データの表示
+            DispOrdererReqData(nReqMonth);
+
+        }
+        #endregion
+
+        #region データグリッドビュの選択変更
+        private void dgv1_SelectionChanged(object sender, EventArgs e)
+        {
+            bool bEnable = false;
+
+            foreach (DataGridViewRow r in dgv1.SelectedRows)
+            {
+                if (r.Cells[4].Value != null)
+                {
+                    bEnable = true;                   
+                }
+            }
+
+            btnSelRequest.Enabled = bEnable;
+        }
+        #endregion
+
+        #region 請求月の取得
+        /// <summary>
+        /// 請求月の取得
+        /// </summary>
+        private void GetRequestMonth( ref List<int> lstReqestMonth )
+        {
+            IORequestHead ioReqHead = new IORequestHead();
+
+            List<RequestHead> lstWork = new List<RequestHead>();
+
+            Dictionary<int, List<RequestHead>> dicWork = new Dictionary<int, List<RequestHead>>();
+
+            try
+            {
+                string sql = " Where AssignedFlg = 0 Order By RequestMonth Desc, ReqConstructionCode Asc";
+
+                // 請求ヘッダの取得
+                if (ioReqHead.SelectAction(sql, ref lstWork) == false)
+                {
+                    return;
+                }
+
+                // 請求ヘッダレコード分ループ
+                foreach (RequestHead ReqHead in lstWork)
+                {
+                    List<RequestHead> lstReqHead = null;
+
+                    // 請求月毎の工事番号リストが存在しない場合
+                    if( dicWork.TryGetValue( ReqHead.RequestMonth, out lstReqHead ) == false )
+                    {
+                        // 工事番号リストを構築
+                        lstReqHead = new List<RequestHead>();
+                        // ハッシュテーブルに追加
+                        dicWork.Add(ReqHead.RequestMonth, lstReqHead);
+                    }
+                    // 工事番号リストに追加
+                    lstReqHead.Add(ReqHead);
+                }
+
+                List<int> lstKey = new List<int>(dicWork.Keys);
+
+                foreach (int nRequestMonth in lstKey)
+                {
+                    List<RequestHead> lstReqHead = null;
+
+                    if (dicWork.TryGetValue(nRequestMonth, out lstReqHead) == true)
+                    {
+                        foreach (RequestHead ReqHead in lstReqHead)
+                        {
+                            // 最終承認済
+                            if (ClsApprovalPermission.CheckApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == true)
+                            {
+                                // 請求月をリストに追加（以降はチェックする必要なし）
+                                lstReqestMonth.Add(nRequestMonth);
+                                break;
+                            }
+                        }
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                ioReqHead.close();
+                ioReqHead = null;
+            }
+
+            return;
+        }
+        #endregion
+
+        #region 発注者請求データの取得
+        /// <summary>
+        /// 請求先一覧の取得
+        /// </summary>
+        private void GetRequestData( int nReqMonth )
+        {
+            IORequestHead ioReqHead = new IORequestHead();
+
+            List<RequestHead> lstWork = new List<RequestHead>();
+
+            try
+            {
+                Dictionary<string, ClsOrdererReqData> dicReqData = null;
+
+                // 当該請求月が既に登録されている場合
+                if (m_dicOrdererReqData.TryGetValue(nReqMonth, out dicReqData) == true)
+                {
+                    return;
+                }
+
+                // 当該請求月の請求ヘッダを取得
+                string sql = string.Format(" Where RequestMonth = {0} And AssignedFlg = 0 Order by ReqConstructionCode", nReqMonth);
+                if (ioReqHead.SelectAction(sql, ref lstWork) == false)
+                {
+                    return;
+                }
+
+                // ハッシュテーブルを追加
+                dicReqData = new Dictionary<string, ClsOrdererReqData>();
+                m_dicOrdererReqData.Add(nReqMonth, dicReqData);
+
+                foreach (RequestHead ReqHead in lstWork)
+                {
+                    // 最終承認されていない場合は対象外
+                    if (ClsApprovalPermission.CheckApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == false)
+                    {
+                        continue;
+                    }
+
+                    // キー文字列を取得
+                    string strKey = ClsOrdererReqData.GetKeyString(ReqHead.OrderersDivision, ReqHead.OrderersCode, ReqHead.OrderersName);
+                    ClsOrdererReqData OdrReqData = null ;
+
+                    // まだ登録されていない場合
+                    if (dicReqData.TryGetValue(strKey, out OdrReqData) == false)
+                    {
+                        // 発注者請求データを追加
+                        OdrReqData = new ClsOrdererReqData(ReqHead.OrderersDivision, ReqHead.OrderersCode, ReqHead.OrderersName);
+                        dicReqData.Add(strKey, OdrReqData);
+
+                    }
+                    
+                    // 発注者請求データに請求ヘッダを追加
+                    OdrReqData.AddReqHead(ReqHead);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                ioReqHead.close();
+                ioReqHead = null;
+            }
+        }
+        #endregion
+
+        #region 請求データの表示
+        private void DispOrdererReqData(int nReqMonth)
+        {
+            Dictionary<string, ClsOrdererReqData> dicReqData = null;
+            if (m_dicOrdererReqData.TryGetValue(nReqMonth, out dicReqData) == false)
+            {
+                return;
+            }
+
+            int nCount = dicReqData.Count();
+
+            if( nCount < 10 )
+            {
+                nCount = 10;
+            }
+            dgv1.Rows.Add(nCount);
+
+            int trow = 0;
+
+            List<string> lstKey = new List<string>(dicReqData.Keys);
+            foreach (string strKey in lstKey)
+            {
+                ClsOrdererReqData   OrdReqData = null;
+                if (dicReqData.TryGetValue(strKey, out OrdReqData) == true)
+                {
+                    dgv1[0, trow].Value = OrdReqData.OrderersName;
+                    dgv1[1, trow].Value = OrdReqData.DoneCount.ToString("#,0");
+                    dgv1[2, trow].Value = OrdReqData.UndoneCount.ToString("#,0");
+                    dgv1[3, trow].Value = OrdReqData.TotalAmount.ToString("#,0");
+                    dgv1[4, trow].Value = OrdReqData.OrderersDivision;
+                    dgv1[5, trow].Value = OrdReqData.OrderersCode;
+                    dgv1[6, trow].Value = OrdReqData.OrderersName;
+
+                    trow++;
+                }
+            }
+
+            dgv1[0,0].Selected = false;
+        }
+        #endregion
+
+
+    }
+}
